%define packname alr3

Name: R-%{packname}
Version: 1.1.12
Release: 0.fc20.lc
Summary: Methods and data to accompany Applied Linear Regression 3rd edition

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/alr3/index.html
Source0: http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):   R-core
Requires(postun): R-core

%description
R package:
This library is a companion to the textbook S. Weisberg (2005), "Applied Linear Regression," 3rd edition, Wiley. 
It includes all the data sets discussed in the book (except one), and several few functions that are tailored to 
the methods discussed in the book.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}
cp -pr %{packname}/Rwork %{buildroot}%{_libdir}/R/library/%{packname}

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post

%postun

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/man
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/Rwork
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/help

%changelog
* Thu Nov 28 2013 Stuart Raeburn <raeburn@loncapa.org>
- Initial build 

